<div class="container-fluid p-0">
    <div class="row no-gutters player mx-auto d-flex justify-content-center">
        <div class="radiant">
            <app-radiant-player *ngIf="channel.getName()"
                                [IsLive]="true"
                                [EpisodeLink]="default_channel_link"
                                [Poster]="channel.getImageName()"
                                class="radiant-player w-100"></app-radiant-player>
        </div>
    </div>
    <div class="row no-gutters quality-bar mx-auto d-lg-flex justify-content-center d-none">
        <div class="col-8">
            <app-quality-bar *ngIf="channel.getLinks()"
                             (SelectLink)="setPlayerLink($event)"
                             (BackToLive)="setPlayerLink($event.getLink())"
                             [ActiveLink]="default_channel_link"
                             [IsLive]="is_live"
                             [HourlyArchiveTitle]="hourly_archive_title"
                             [HourlyArchiveChannel]="channel.getName()"
                             [Links]="channel.getLinks()"></app-quality-bar>
        </div>
    </div>
    <div class="row no-gutters">
        <app-carousel class="w-100 "
                      *ngIf="channel.getName() && channels && channels.length"
                      [IsLazyLoadImage]="false"
                      [Type]="generalService.configs.carouselTypes.channels"
                      [Items]="channels"
                      [TitleRoute]="'/live/'+channel.getDescriptor()"
                      [Title]="'پخش زنده '+channel.getName()"></app-carousel>
    </div>
    <div class="row no-gutters">
        <app-carousel *ngIf="hourly_archives && hourly_archives.length"
                      class="w-100 "
                      [IsLazyLoadImage]="true"
                      [Title]="'آرشیو ساعتی'"
                      [Type]="generalService.configs.carouselTypes.hourly_archive"
                      (SelectHourlyArchive)="selectHourlyArchive($event)"
                      [Items]="hourly_archives"></app-carousel>
    </div>
</div>
